from qmdl.helper import Helper

#read the model file
mymdl = Helper()
mymdl.load("model.mdl")

#remove any buffer frames etc
mymdl.remove_frames([])

#merge up all possible vertices
mymdl.merge_vertices()

#apply new sequencial names to the frames
mymdl.rename_frames([("poses", 12), ("med_frames", 12), ("med_group", 12),
                     ("tall_frames", 12), ("tall_group", 12), ("long_frames", 8),
                     ("long_group", 8), ("hang_frames", 20), ("hang_group", 20),
                     ("straight",1)])

mymdl.group_frames(96, 115, "long_group")
mymdl.group_frames(68, 75, "long_group")
mymdl.group_frames(48, 59, "tall_group")
mymdl.group_frames(24, 35, "med_group")

#import these skinfiles
skinlist = ["grey.bmp", "red.bmp", "hazard.bmp", "blue.bmp"]
for skin in skinlist:
    mymdl.append_skin(skin)

mymdl.mdl.scale = (mymdl.mdl.scale[0] * 3,
                   mymdl.mdl.scale[1] * 3,
                   mymdl.mdl.scale[2] * 3)

mymdl.mdl.origin = (mymdl.mdl.origin[0] * 3,
                    mymdl.mdl.origin[1] * 3,
                    mymdl.mdl.origin[2] * 3)

#save the result back to the original model file
mymdl.save()
